KDE 4.2 PyKDE API Reference

- KDE's Python API

# KBookmarkMenu Class Reference

`from PyKDE4.kio import *`

Inherits: QObject
Subclasses: KonqBookmarkMenu

## Detailed Description

## Methods

| __init__ (self, KBookmarkManager mgr, KBookmarkOwner owner, KMenu parentMenu, KActionCollection collec)
| __init__ (self, KBookmarkManager mgr, KBookmarkOwner owner, KMenu parentMenu, QString parentAddress)
QAction | actionForBookmark (self, KBookmark bm)
| addActions (self)
| addAddBookmark (self)
| addAddBookmarksList (self)
| addEditBookmarks (self)
| addNewFolder (self)
| addOpenInTabs (self)
| clear (self)
KMenu | contextMenu (self, QAction action)
| ensureUpToDate (self)
| fillBookmarks (self)
bool | isDirty (self)
bool | isRoot (self)
KBookmarkManager | manager (self)
KBookmarkOwner | owner (self)
QString | parentAddress (self)
KMenu | parentMenu (self)
| refill (self)
| slotAboutToShow (self)
| slotAddBookmark (self)
| slotAddBookmarksList (self)
| slotBookmarksChanged (self, QString a0)
| slotNewFolder (self)
| slotOpenFolderInTabs (self)

## Method Documentation

__init__ | ( | self, |
|  | KBookmarkManager | mgr,
|  | KBookmarkOwner | owner,
|  | KMenu | parentMenu,
|  | KActionCollection | collec
| ) |  |  |

Fills a bookmark menu (one instance of KBookmarkMenu is created for the toplevel menu, but also one per submenu).

Parameters:

  | mgr | The bookmark manager to use (i.e. for reading and writing)
  | owner | implementation of the KBookmarkOwner callback interface. Note: If you pass a null KBookmarkOwner to the constructor, the openBookmark signal is not emitted, instead KRun is used to open the bookmark.
  | parentMenu | menu to be filled
  | collec | parent collection for the KActions.

__init__ | ( | self, |
|  | KBookmarkManager | mgr,
|  | KBookmarkOwner | owner,
|  | KMenu | parentMenu,
|  | QString | parentAddress
| ) |  |  |

Creates a bookmark submenu

QAction actionForBookmark | ( | self, |
|  | KBookmark | bm
| ) |  |  |

addActions | ( |  | self ) |

addAddBookmark | ( |  | self ) |

addAddBookmarksList | ( |  | self ) |

addEditBookmarks | ( |  | self ) |

addNewFolder | ( |  | self ) |

addOpenInTabs | ( |  | self ) |

clear | ( |  | self ) |

KMenu contextMenu | ( | self, |
|  | QAction | action
| ) |  |  |

ensureUpToDate | ( |  | self ) |

Call ensureUpToDate() if you need KBookmarkMenu to adjust to its final size before it is executed.

fillBookmarks | ( |  | self ) |

bool isDirty | ( |  | self ) |

bool isRoot | ( |  | self ) |

KBookmarkManager manager | ( |  | self ) |

KBookmarkOwner owner | ( |  | self ) |

QString parentAddress | ( |  | self ) |

Parent bookmark for this menu.

KMenu parentMenu | ( |  | self ) |

The menu in which we insert our actions Supplied in the constructor.

refill | ( |  | self ) |

slotAboutToShow | ( |  | self ) |

slotAddBookmark | ( |  | self ) |

slotAddBookmarksList | ( |  | self ) |

slotBookmarksChanged | ( | self, |
|  | QString | a0
| ) |  |  |

slotNewFolder | ( |  | self ) |

slotOpenFolderInTabs | ( |  | self ) |